// +build !generate

package hit

import errortrace "github.com/Eun/go-hit/errortrace"

// ⚠️⚠️⚠️ This file was autogenerated by generators/clear/clear ⚠️⚠️⚠️ //

// IClearExpectFormValues provides methods to clear steps.
type IClearExpectFormValues interface {
	IStep
	// Contains clears all matching Contains steps
	Contains(value ...interface{}) IStep
	// Empty clears all matching Empty steps
	Empty() IStep
	// Equal clears all matching Equal steps
	Equal(value ...interface{}) IStep
	// First clears all matching First steps
	First() IClearExpectHeaderValue
	// Last clears all matching Last steps
	Last() IClearExpectHeaderValue
	// Len clears all matching Len steps
	Len() IClearExpectInt
	// NotContains clears all matching NotContains steps
	NotContains(value ...interface{}) IStep
	// NotEmpty clears all matching NotEmpty steps
	NotEmpty() IStep
	// NotEqual clears all matching NotEqual steps
	NotEqual(value ...interface{}) IStep
	// NotOneOf clears all matching NotOneOf steps
	NotOneOf(value ...interface{}) IStep
	// Nth clears all matching Nth steps
	Nth(value ...int) IClearExpectHeaderValue
	// OneOf clears all matching OneOf steps
	OneOf(value ...interface{}) IStep
}
type clearExpectFormValues struct {
	cp callPath
	tr *errortrace.ErrorTrace
}

func newClearExpectFormValues(cp callPath) IClearExpectFormValues {
	return &clearExpectFormValues{cp: cp, tr: ett.Prepare()}
}
func (v *clearExpectFormValues) trace() *errortrace.ErrorTrace {
	return v.tr
}
func (*clearExpectFormValues) when() StepTime {
	return cleanStep
}
func (v *clearExpectFormValues) callPath() callPath {
	return v.cp
}
func (v *clearExpectFormValues) exec(hit *hitImpl) error {
	if err := removeSteps(hit, v.callPath()); err != nil {
		return err
	}
	return nil
}
func (v *clearExpectFormValues) Contains(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("Contains", value))
}
func (v *clearExpectFormValues) Empty() IStep {
	return removeStep(v.callPath().Push("Empty", nil))
}
func (v *clearExpectFormValues) Equal(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("Equal", value))
}
func (v *clearExpectFormValues) First() IClearExpectHeaderValue {
	return newClearExpectHeaderValue(v.callPath().Push("First", nil))
}
func (v *clearExpectFormValues) Last() IClearExpectHeaderValue {
	return newClearExpectHeaderValue(v.callPath().Push("Last", nil))
}
func (v *clearExpectFormValues) Len() IClearExpectInt {
	return newClearExpectInt(v.callPath().Push("Len", nil))
}
func (v *clearExpectFormValues) NotContains(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("NotContains", value))
}
func (v *clearExpectFormValues) NotEmpty() IStep {
	return removeStep(v.callPath().Push("NotEmpty", nil))
}
func (v *clearExpectFormValues) NotEqual(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("NotEqual", value))
}
func (v *clearExpectFormValues) NotOneOf(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("NotOneOf", value))
}
func (v *clearExpectFormValues) Nth(value ...int) IClearExpectHeaderValue {
	return newClearExpectHeaderValue(v.callPath().Push("Nth", intSliceToInterfaceSlice(value)))
}
func (v *clearExpectFormValues) OneOf(value ...interface{}) IStep {
	return removeStep(v.callPath().Push("OneOf", value))
}
